<!DOCTYPE html>
<html lang="es">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Vue JS EVENTOS | Rimorsoft Online</title>
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
      integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u"
      crossorigin="anonymous"
    />
  </head>
  <body>
    <div id="main">
      <div class="container">
        <div class="row">
          <div class="col-xs-12">
            <h2>Eventos VueJS</h2>
          </div>
          <div class="col-xs-4">
            <form v-on:submit.prevent="addName">
              <div class="input-group">
                <input type="text" class="form-control" v-model="name" />
                <span class="input-group-btn">
                  <input type="submit" class="btn btn-default" value="add" />
                </span>
              </div>
            </form>
            <hr />
            <ul class="list-group">
              <li
                class="list-group-item"
                v-for="item in people"
                v-text="item"
              ></li>
            </ul>
          </div>
          <div class="col-xs-4">
            <button class="btn btn-default" v-on:click="num += 1">
              {{ num }}
              <i class="glyphicon glyphicon-thumbs-up"></i>
            </button>
          </div>
        </div>
      </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script type="text/javascript">
      new Vue({
        el: '#main',
        data: {
          people: ['Lynda', 'Isabella', 'Abel', 'Diana'],
          name: '',
          num: 0,
        },
        methods: {
          addName: function () {
            this.people.unshift(this.name)
            this.people.push(this.name)
            this.name = ''
          },
        },
      })
    </script>
  </body>
</html>
